#include <iostream>
#include <algorithm>
#include <vector>
using namespace std;
std::vector<int> solve(std::vector<int> A){
    char fv[100000+1],fv1[100000+1],fv2[100000+1];
    std::vector<int> ret;
    int i,n=A.size();
    for(i=0 ; i<n ; i++){
        fv[A[i]]++;
    }
    for(i=0 ; i<n ; i++){
        fv1[A[i]]++;
        if(fv1[A[i]]<=fv[A[i]]/2){
            ret.push_back(i);
            fv2[i]=1;
        }
    }
    for(i=0 ; i<n ; i++){
        if(fv2[i]==0){
            ret.push_back(i);
        }
    }
    return {ret};
}